Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs	(revision 17642)
@@ -6,5 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman87 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.4.33 (h/(2*pi))*omega/(exp((h/(2*pi))*omega/(kb*T))-1)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman87() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman87(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman87(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman III.4.33 (h/(2*pi))*omega/(exp((h/(2*pi))*omega/(kb*T))-1) | {0} samples",
+          trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +36,8 @@
     public int Seed { get; private set; }
 
-    public Feynman87() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman87(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -38,5 +59,5 @@
 
       for (var i = 0; i < h.Count; i++) {
-        var res = h[i] / (2 * Math.PI) * omega[i] / (Math.Exp((h[i] / (2 * Math.PI)) * omega[i] / (kb[i] * T[i])) - 1);
+        var res = h[i] / (2 * Math.PI) * omega[i] / (Math.Exp(h[i] / (2 * Math.PI) * omega[i] / (kb[i] * T[i])) - 1);
         E_n.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman88 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.7.38 2*mom*B/(h/(2*pi))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman88() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman88(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman88(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.7.38 2*mom*B/(h/(2*pi)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "omega"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman88() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman88(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman89 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.8.54 sin(E_n*t/(h/(2*pi)))**2"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman89() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman89(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman89(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.8.54 sin(E_n*t/(h/(2*pi)))**2 | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "prob"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman89() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman89(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs	(revision 17642)
@@ -1,34 +1,49 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using HeuristicLab.Common;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman9 : FeynmanDescriptor{
- public override string Name { get { return "Feynman I.13.4 K = 1/2*m*(v^2+u^2+w^2)"; } }
+  public class Feynman9 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
 
- protected override string TargetVariable { get { return "K"; } }
-    protected override string[] VariableNames { get { return new string[] { "m", "v", "u", "w", "K"}; } }
-    protected override string[] AllowedInputVariables { get { return new string[] {"m", "v", "u", "w"}; } }
+    public Feynman9() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman9(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman9(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.13.4 1/2*m*(v**2+u**2+w**2) | {0} samples", trainingSamples); }
+    }
+
+    protected override string TargetVariable { get { return "K"; } }
+    protected override string[] VariableNames { get { return new[] {"m", "v", "u", "w", "K"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"m", "v", "u", "w"}; } }
 
     public int Seed { get; private set; }
 
-    public Feynman9() : this((int)System.DateTime.Now.Ticks) { }
-
-    public Feynman9(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
-      var rand = new MersenneTwister((uint)Seed);
+      var rand = new MersenneTwister((uint) Seed);
 
       var data = new List<List<double>>();
-      var m = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var v = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var u = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var w = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var m    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var v    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var u    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var w    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
       var K = new List<double>();
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs	(revision 17642)
@@ -6,6 +6,27 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman90 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman90() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman90(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman90(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
     public override string Name {
-      get { return "Feynman III.9.52 (p_d*Ef*t/(h/(2*pi)))*sin((omega-omega_0)*t/2)**2/((omega-omega_0)*t/2)**2"; }
+      get {
+        return string.Format(
+          "Feynman III.9.52 (p_d*Ef*t/(h/(2*pi)))*sin((omega-omega_0)*t/2)**2/((omega-omega_0)*t/2)**2 | {0} samples",
+          trainingSamples);
+      }
     }
 
@@ -22,9 +43,8 @@
     public int Seed { get; private set; }
 
-    public Feynman90() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman90(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -50,5 +70,7 @@
 
       for (var i = 0; i < p_d.Count; i++) {
-        var res = p_d[i] * Ef[i] * t[i] / (h[i] / (2 * Math.PI)) * Math.Pow(Math.Sin((omega[i] - omega_0[i]) * t[i] / 2),2) / Math.Pow(((omega[i] - omega_0[i]) * t[i] / 2), 2);
+        var res = p_d[i] * Ef[i] * t[i] / (h[i] / (2 * Math.PI)) *
+                  Math.Pow(Math.Sin((omega[i] - omega_0[i]) * t[i] / 2), 2) /
+                  Math.Pow((omega[i] - omega_0[i]) * t[i] / 2, 2);
         prob.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman91.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman91.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman91.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman91 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.10.19 mom*sqrt(Bx**2+By**2+Bz**2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman91() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman91(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman91(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.10.19 mom*sqrt(Bx**2+By**2+Bz**2) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman91() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman91(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman92 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.12.43 n*(h/(2*pi))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman92() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman92(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman92(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.12.43 n*(h/(2*pi)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "L"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman92() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman92(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman93 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.13.18 2*E_n*d**2*k/(h/(2*pi))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman93() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman93(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman93(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.13.18 2*E_n*d**2*k/(h/(2*pi)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "v"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman93() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman93(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman94.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman94.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman94.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman94 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.14.14 I_0*(exp(q*Volt/(kb*T))-1)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman94() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman94(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman94(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.14.14 I_0*(exp(q*Volt/(kb*T))-1) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "I"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman94() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman94(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman95.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman95.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman95.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman95 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.15.12 2*U*(1-cos(k*d))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman95() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman95(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman95(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.15.12 2*U*(1-cos(k*d)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman95() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman95(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -37,4 +55,5 @@
       for (var i = 0; i < U.Count; i++) {
         var res = 2 * U[i] * (1 - Math.Cos(k[i] * d[i]));
+        ;
         E_n.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman96 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.15.14 (h/(2*pi))**2/(2*E_n*d**2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman96() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman96(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman96(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.15.14 (h/(2*pi))**2/(2*E_n*d**2) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "m"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman96() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman96(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -36,5 +54,5 @@
 
       for (var i = 0; i < h.Count; i++) {
-        var res = h[i] / Math.Pow((2 * Math.PI), 2) / (2 * E_n[i] * Math.Pow(d[i], 2));
+        var res = h[i] / Math.Pow(2 * Math.PI, 2) / (2 * E_n[i] * Math.Pow(d[i], 2));
         m.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman97.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman97.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman97.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman97 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.15.27 2*pi*alpha/(n*d)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman97() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman97(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman97(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.15.27 2*pi*alpha/(n*d) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "k"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman97() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman97(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman98.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman98.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman98.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman98 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman III.17.37 beta*(1+alpha*cos(theta))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman98() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman98(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman98(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman III.17.37 beta*(1+alpha*cos(theta)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "f"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman98() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman98(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs	(revision 17642)
@@ -6,6 +6,26 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman99 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman99() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman99(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman99(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
     public override string Name {
-      get { return "Feynman III.19.51 -m*q**4/(2*(4*pi*epsilon)**2*(h/(2*pi))**2)*(1/n**2)"; }
+      get {
+        return string.Format("Feynman III.19.51 -m*q**4/(2*(4*pi*epsilon)**2*(h/(2*pi))**2)*(1/n**2) | {0} samples",
+          trainingSamples);
+      }
     }
 
@@ -16,9 +36,8 @@
     public int Seed { get; private set; }
 
-    public Feynman99() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman99(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -42,5 +61,6 @@
 
       for (var i = 0; i < m.Count; i++) {
-        var res = -m[i] * Math.Pow(q[i], 4) / (2 * Math.Pow((4 * Math.PI * epsilon[i]), 2) * Math.Pow((h[i] / (2 * Math.PI)), 2) * (1.0 / Math.Pow(n[i], 2)));
+        var res = -m[i] * Math.Pow(q[i], 4) / (2 * Math.Pow(4 * Math.PI * epsilon[i], 2) *
+                                               Math.Pow(h[i] / (2 * Math.PI), 2) * (1.0 / Math.Pow(n[i], 2)));
         E_n.Add(res);
       }
